# Использование библиотеки ncurses

## items

Функция `itemsList` создаёт интерактивное консольное меню с использованием библиотеки `ncurses`. Инициализирует экран, отключает эхо ввода и курсор, задаёт цветовые пары для окна и фона. Отображает список из пяти пунктов в окне с красным фоном и белым текстом, позволяя пользователю перемещаться по пунктам клавишами `UP` и `DOWN`. Выделяет текущий пункт инверсией цвета. Завершает работу по нажатию `F2`. Использует модули `std.stdio`, `std.conv`, `std.string`, `deimos.ncurses`, `deimos.form` и `core.stdc.locale`.

## password

Функция `password` создаёт консольное окно для ввода пароля с использованием библиотеки `ncurses`. Инициализирует экран, отключает эхо, задаёт цветовые пары (синий фон, красное окно) и создаёт форму с двумя полями: статический текст "Введите пароль:" и поле ввода с поддержкой регулярного выражения для валидации символов. Введённые символы отображаются как звёздочки (`*`), сохраняются в строку `password`. Поддерживает обработку `Backspace` и завершение ввода по `Enter`. По завершении выводит введённый пароль. Использует модули `std.stdio`, `std.conv`, `std.string`, `deimos.ncurses`, `deimos.form`, `core.stdc.locale`.
